Name:           libserialport
Version:        r410.21b3dfe
Epoch:          100
Release:        nightly%{?dist}
Summary:        Library for accessing serial ports
License:        LGPLv3+
URL:            http://sigrok.org/wiki/%{name}

Source0:        %{name}-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  doxygen
BuildRequires:  gcc
BuildRequires:  graphviz
BuildRequires:  libtool
BuildRequires:  make

%description
libserialport is a minimal library written in C that is intended to take care
of the OS-specific details when writing software that uses serial ports.

By writing your serial code to use libserialport, you enable it to work
transparently on any platform supported by the library.

The operations that are supported are:

- Port enumeration (obtaining a list of serial ports on the system).
- Opening and closing ports.
- Setting port parameters (baud rate, parity, etc).
- Reading, writing and flushing data.
- Obtaining error information.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{epoch}:%{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        doc
Summary:        API documentation for %{name}
BuildArch:      noarch
Requires:       %{name} = %{epoch}:%{version}-%{release}
Provides:       bundled(jquery)

%description    doc
The %{name}-doc package contains documentation for developing software
with %{name}.


%prep
%autosetup
autoreconf -vif


%build
./autogen.sh
%configure --disable-static
%make_build
%make_build doc


%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%files
%license COPYING
%doc NEWS README
%{_libdir}/%{name}.so.0*

%files devel
%{_includedir}/%{name}.h
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/%{name}.so

%files doc
%doc doxy/html-api/


%changelog
* Thu Jan 13 2022 Aimylios <aimylios@xxx.xx>
- Alignment with upstream SPEC 0.1.1-11

* Tue Feb 16 2021 Aimylios <aimylios@xxx.xx>
- Remove obsolete Group tag
- Correctly package license and documentation
- Add new dependencies

* Sun Mar 18 2018 Aimylios <aimylios@xxx.xx>
- Initial release based on 0.1.1-5.fc29
